Get overview of a project
curl --request GET \
--url https://api-eu.cybedefend.com/project/{projectId}/results/overviewimport requests
url = "https://api-eu.cybedefend.com/project/{projectId}/results/overview"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-eu.cybedefend.com/project/{projectId}/results/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalBySeverity": [
{
"severity": "<string>",
"count": 123
}
],
"totalByState": [
{
"state": "<string>",
"count": 123
}
],
"totalByAnalysisType": [
{
"analysisType": "<string>",
"count": 123
}
],
"vulnerabilitiesOverTime": [
{
"date": "<string>",
"severity": 123,
"count": 123
}
],
"riskScore": 123,
"riskLevel": "<string>"
}{
"timestamp": "2025-02-18T12:31:18.491Z",
"service": "AiService",
"method": "startConversation",
"message": "Invalid parameters provided",
"code": 400
}Reports & Statistics
Get overview of a project
GET
/
project
/
{projectId}
/
results
/
overview
Get overview of a project
Path Parameters
Query Parameters
Filter vulnerabilities by branch names. Only vulnerabilities from these branches will be counted. Use GET /project/:projectId/branches to get available branches. Can be passed as comma-separated string or multiple query params.
Example:
["main", "develop"]
Response
Project overview
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The risk score of the project
The risk level of the project
⌘I